'use strict';
typeof CeL === 'function' && CeL.run({
	// name/id.
	name : 'extension.loop2',
	// dependency.
	require : 'extension.loop1.loop1_function',
	// source code.
	code : function() {
		var library_namespace = this.base,
		// requiring
		loop1_function = this.r('loop1_function');

		function loop2_function(caller) {
			library_namespace.debug('Call loop1_function..', 1, 'loop2_function');
			loop1_function(caller || 'loop2_function');
		};

		return [loop2_function];
	}
});
